Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(9)

Issue 1008043003: Adding Test Fixture for initial test cases for the App Remoting Test Driver. Also includes the pub… (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 4 months ago by joedow
Modified:
2 years, 4 months ago
Reviewers:
Wez
CC:
chromium-reviews, chromoting-reviews_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Adding Test Fixture for initial test cases for the App Remoting Test Driver. Also includes the public stubs for the remote application data methods. Also ran clang-format on edited files to keep consistent with formatting in my previous changelist. BUG=467200 Committed: https://crrev.com/2230e1f901c84ce7fb9a69b2055ba9879a0461a2 Cr-Commit-Position: refs/heads/master@{#322119}

Patch Set 1 #

Total comments: 84

Patch Set 2 : Addressing Wez's feedback #

Total comments: 8

Patch Set 3 : Addressing 2nd round of feedback #

Unified diffs Side-by-side diffs Delta from patch set Stats (+578 lines, -82 lines) Patch
M remoting/BUILD.gn View 1 2 chunks +2 lines, -0 lines 0 comments Download
M remoting/app_remoting_test.gyp View 1 2 chunks +14 lines, -0 lines 0 comments Download
M remoting/remoting_all.gyp View 1 chunk +1 line, -0 lines 0 comments Download
M remoting/remoting_test.gypi View 1 2 chunks +2 lines, -0 lines 0 comments Download
M remoting/test/access_token_fetcher.h View 1 2 1 chunk +2 lines, -0 lines 0 comments Download
M remoting/test/access_token_fetcher.cc View 1 2 3 chunks +1 line, -22 lines 0 comments Download
A remoting/test/app_remoting_connected_client_fixture.h View 1 1 chunk +105 lines, -0 lines 0 comments Download
A remoting/test/app_remoting_connected_client_fixture.cc View 1 1 chunk +256 lines, -0 lines 0 comments Download
M remoting/test/app_remoting_test_driver.cc View 7 chunks +18 lines, -11 lines 0 comments Download
M remoting/test/app_remoting_test_driver_environment.h View 1 5 chunks +33 lines, -11 lines 0 comments Download
M remoting/test/app_remoting_test_driver_environment.cc View 1 2 8 chunks +62 lines, -19 lines 0 comments Download
A remoting/test/app_remoting_test_driver_environment_app_details.cc View 1 1 chunk +21 lines, -0 lines 0 comments Download
A remoting/test/remote_application_details.h View 1 1 chunk +26 lines, -0 lines 0 comments Download
M remoting/test/remote_host_info_fetcher.h View 3 chunks +10 lines, -8 lines 0 comments Download
M remoting/test/remote_host_info_fetcher.cc View 2 chunks +6 lines, -5 lines 0 comments Download
M remoting/test/test_chromoting_client.h View 1 3 chunks +14 lines, -2 lines 0 comments Download
M remoting/test/test_chromoting_client.cc View 1 3 chunks +5 lines, -4 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 17 (2 generated)
joedow
This is the last CL for the App Remoting Test Driver <whew>. It introduces a ...
2 years, 4 months ago (2015-03-13 23:27:46 UTC) #2
Wez
On 2015/03/13 23:27:46, joedow wrote: > This is the last CL for the App Remoting ...
2 years, 4 months ago (2015-03-16 18:26:35 UTC) #3
chromium-reviews
Starting with a comment on the CL description? This is going to be fun ;) ...
2 years, 4 months ago (2015-03-16 18:29:35 UTC) #4
Wez
https://codereview.chromium.org/1008043003/diff/1/remoting/test/app_remoting_connected_client_tests.cc File remoting/test/app_remoting_connected_client_tests.cc (right): https://codereview.chromium.org/1008043003/diff/1/remoting/test/app_remoting_connected_client_tests.cc#newcode35 remoting/test/app_remoting_connected_client_tests.cc:35: } nit: This is a non-trivial namespace declaration, so ...
2 years, 4 months ago (2015-03-16 22:19:10 UTC) #5
joedow
Addressed feedback from iteration #1, PTAL! Thanks, Joe https://codereview.chromium.org/1008043003/diff/1/remoting/test/app_remoting_connected_client_tests.cc File remoting/test/app_remoting_connected_client_tests.cc (right): https://codereview.chromium.org/1008043003/diff/1/remoting/test/app_remoting_connected_client_tests.cc#newcode35 remoting/test/app_remoting_connected_client_tests.cc:35: } ...
2 years, 4 months ago (2015-03-18 20:13:10 UTC) #6
joedow
Ping :)
2 years, 4 months ago (2015-03-19 18:27:10 UTC) #7
joedow
ping ping! :)
2 years, 4 months ago (2015-03-20 18:19:32 UTC) #8
Wez
https://codereview.chromium.org/1008043003/diff/1/remoting/test/app_remoting_test_driver_environment.cc File remoting/test/app_remoting_test_driver_environment.cc (right): https://codereview.chromium.org/1008043003/diff/1/remoting/test/app_remoting_test_driver_environment.cc#newcode164 remoting/test/app_remoting_test_driver_environment.cc:164: info.application_id.c_str(), status.c_str()); On 2015/03/18 20:13:09, joedow wrote: > On ...
2 years, 4 months ago (2015-03-21 00:14:01 UTC) #9
joedow
Addressed the 2nd round of feedback, PTAL. Thanks! Joe https://codereview.chromium.org/1008043003/diff/1/remoting/test/app_remoting_test_driver_environment.cc File remoting/test/app_remoting_test_driver_environment.cc (right): https://codereview.chromium.org/1008043003/diff/1/remoting/test/app_remoting_test_driver_environment.cc#newcode164 remoting/test/app_remoting_test_driver_environment.cc:164: ...
2 years, 4 months ago (2015-03-21 01:23:59 UTC) #10
joedow
Ping!
2 years, 4 months ago (2015-03-23 23:04:33 UTC) #11
joedow
Ping Ping!
2 years, 4 months ago (2015-03-24 22:33:40 UTC) #12
Wez
lgtm
2 years, 4 months ago (2015-03-25 00:09:29 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1008043003/40001
2 years, 4 months ago (2015-03-25 00:34:21 UTC) #15
commit-bot: I haz the power
Committed patchset #3 (id:40001)
2 years, 4 months ago (2015-03-25 06:10:22 UTC) #16
commit-bot: I haz the power
2 years, 4 months ago (2015-03-25 06:11:18 UTC) #17
Message was sent while issue was closed.
Patchset 3 (id:??) landed as
https://crrev.com/2230e1f901c84ce7fb9a69b2055ba9879a0461a2
Cr-Commit-Position: refs/heads/master@{#322119}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 25c286973